The main deal class, which takes charge of showing the number of each model line type and creating one instance for each type using Revit API
Example #1
0
        /// <summary>
        /// Implement this method as an external command for Revit.
        /// </summary>
        /// <param name="commandData">An object that is passed to the external application
        /// which contains data related to the command,
        /// such as the application object and active view.</param>
        /// <param name="message">A message that can be set by the external application
        /// which will be displayed if a failure or cancellation is returned by
        /// the external command.</param>
        /// <param name="elements">A set of elements to which the external application
        /// can add elements that are to be highlighted in case of failure or cancellation.</param>
        /// <returns>Return the status of the external command.
        /// A result of Succeeded means that the API external method functioned as expected.
        /// Cancelled can be used to signify that the user cancelled the external operation
        /// at some point. Failure should be returned if the application is unable to proceed with
        /// the operation.</returns>
        public Autodesk.Revit.UI.Result Execute(Autodesk.Revit.UI.ExternalCommandData commandData,
                                                ref string message,
                                                ElementSet elements)
        {
            try
            {
                Transaction documentTransaction = new Transaction(commandData.Application.ActiveUIDocument.Document, "Document");
                documentTransaction.Start();
                // Get the application of revit
                Autodesk.Revit.UI.UIApplication revit = commandData.Application;

                // New a real operation class.
                ModelLines deal = new ModelLines(revit);

                // The main deal operation
                deal.Run();
                documentTransaction.Commit();

                // if everything goes well, return succeeded.
                return(Autodesk.Revit.UI.Result.Succeeded);
            }
            catch (Exception ex)
            {
                // If any error, give error information and return failed
                message = ex.Message;
                return(Autodesk.Revit.UI.Result.Failed);
            }
        }
Example #2
0
        /// <summary>
        /// Implement this method as an external command for Revit.
        /// </summary>
        /// <param name="commandData">An object that is passed to the external application 
        /// which contains data related to the command, 
        /// such as the application object and active view.</param>
        /// <param name="message">A message that can be set by the external application 
        /// which will be displayed if a failure or cancellation is returned by 
        /// the external command.</param>
        /// <param name="elements">A set of elements to which the external application 
        /// can add elements that are to be highlighted in case of failure or cancellation.</param>
        /// <returns>Return the status of the external command. 
        /// A result of Succeeded means that the API external method functioned as expected. 
        /// Cancelled can be used to signify that the user cancelled the external operation 
        /// at some point. Failure should be returned if the application is unable to proceed with 
        /// the operation.</returns>
        public Autodesk.Revit.UI.Result Execute(Autodesk.Revit.UI.ExternalCommandData commandData,
                                               ref string message,
                                               ElementSet elements)
        {
            try
            {
                Transaction documentTransaction = new Transaction(commandData.Application.ActiveUIDocument.Document, "Document");
                documentTransaction.Start();
                // Get the application of revit
                Autodesk.Revit.UI.UIApplication revit = commandData.Application;

                // New a real operation class.
                ModelLines deal = new ModelLines(revit);

                // The main deal operation
                deal.Run();
                documentTransaction.Commit();

                // if everything goes well, return succeeded.
                return Autodesk.Revit.UI.Result.Succeeded;
            }
            catch (Exception ex)
            {
                // If any error, give error information and return failed
                message = ex.Message;
                return Autodesk.Revit.UI.Result.Failed;
            }
        }
Example #3
0
        ModelLines m_dataBuffer; // A reference of ModelLines.

        #endregion Fields

        #region Constructors

        /// <summary>
        /// Constructor of SketchPlaneForm
        /// </summary>
        /// <param name="dataBuffer">a reference of ModelLines class</param>
        public SketchPlaneForm(ModelLines dataBuffer)
        {
            // Required for Windows Form Designer support
            InitializeComponent();

            //Get a reference of ModelLines
            m_dataBuffer = dataBuffer;
        }
Example #4
0
        ModelLines m_dataBuffer;   // A reference of ModelLines.

        /// <summary>
        /// Constructor of SketchPlaneForm
        /// </summary>
        /// <param name="dataBuffer">a reference of ModelLines class</param>
        public SketchPlaneForm(ModelLines dataBuffer)
        {
            // Required for Windows Form Designer support
            InitializeComponent();

            //Get a reference of ModelLines
            m_dataBuffer = dataBuffer;
        }
Example #5
0
        ModelLines m_dataBuffer;   // A reference of ModelLines.

        #region Constructor

        /// <summary>
        /// Constructor of ModelLinesForm
        /// </summary>
        /// <param name="dataBuffer">A reference of ModelLines class</param>
        public ModelLinesForm(ModelLines dataBuffer)
        {
            // Required for Windows Form Designer support
            InitializeComponent();

            //Get a reference of ModelLines
            m_dataBuffer = dataBuffer;

            // Initialize the information data grid view control
            InitializeInformationGrid();

            // Initialize the sketch plane comboBox control
            BindComboBox(sketchPlaneComboBox, m_dataBuffer.SketchPlaneIDArray);
            sketchPlaneComboBox.DropDownStyle = ComboBoxStyle.DropDownList;

            // Initialize the creation group information
            lineRadioButton.Checked = true;
        }
Example #6
0
        ModelLines m_dataBuffer; // A reference of ModelLines.

        #endregion Fields

        #region Constructors

        /// <summary>
        /// Constructor of ModelLinesForm
        /// </summary>
        /// <param name="dataBuffer">A reference of ModelLines class</param>
        public ModelLinesForm(ModelLines dataBuffer)
        {
            // Required for Windows Form Designer support
            InitializeComponent();

            //Get a reference of ModelLines
            m_dataBuffer = dataBuffer;

            // Initialize the information data grid view control
            InitializeInformationGrid();

            // Initialize the sketch plane comboBox control
            BindComboBox(sketchPlaneComboBox, m_dataBuffer.SketchPlaneIDArray);
            sketchPlaneComboBox.DropDownStyle = ComboBoxStyle.DropDownList;

            // Initialize the creation group information
            lineRadioButton.Checked = true;
        }